<?php
/**
 * Spa Treatment: Block Patterns
 *
 * @since Spa Treatment 1.0
 */

function spa_treatment_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'spa-treatment' => array( 'label' => __( 'Spa Treatment', 'spa-treatment' ) )
	);
	$block_pattern_categories = apply_filters( 'spa_treatment_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'spa_treatment_register_block_patterns', 9 );